/**
 * EntityClassPublicInstitution2.java
 *
 * File generated from the medication2::EntityClassPublicInstitution2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityClassPublicInstitution2.
 *
 */

@XmlType(name = "EntityClassPublicInstitution")
@XmlEnum
@XmlRootElement(name = "EntityClassPublicInstitution2")
public enum EntityClassPublicInstitution2 {
	@XmlEnumValue("PUB")
	PUB("PUB");
	
	private final String value;

    EntityClassPublicInstitution2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static EntityClassPublicInstitution2 fromValue(String v) {
        for (EntityClassPublicInstitution2 c: EntityClassPublicInstitution2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
